Growth

Competitor intelligence

GET
/api/v1/competitors/intelligence

Perception comparison across speed, service, quality, taste, price, packaging and ambience. Competitor data is representative baseline data - no platform is scraped.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

days?integer

Look-back window in days.

Range7 <= value <= 180
Default90
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/competitors/intelligence"
{  "data": {    "biggest_gap": {      "competitor_avg_score": 0,      "dimension": "string",      "gap": 0,      "is_merchant_ahead": true,      "label": "string",      "leader": "string",      "merchant_score": 0    },    "comparisons": [      {        "competitor_avg_score": 0,        "dimension": "string",        "gap": 0,        "is_merchant_ahead": true,        "label": "string",        "leader": "string",        "merchant_score": 0      }    ],    "competitors": [      {        "avg_rating": 0,        "category": "string",        "data_source": "string",        "distance_km": 0,        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "notes": "",        "perception_scores": {},        "price_tier": "string",        "review_count": 0,        "slug": "string",        "strengths": [          "string"        ],        "weaknesses": [          "string"        ]      }    ],    "generated_at": "2019-08-24T14:15:22Z",    "merchant_avg_rating": 0,    "merchant_name": "string",    "merchant_scores": {},    "provenance": {      "data_source": "SEEDED",      "is_simulated": true,      "note": "Seeded demo dataset - not computed from a live PayPal merchant account."    },    "summary": "",    "topic_share": [      {        "avg_rating": 0,        "change_pct": 0,        "count": 0,        "is_emerging_complaint": false,        "label": "string",        "negative_count": 0,        "negative_share_pct": 0,        "positive_count": 0,        "previous_count": 0,        "sample_review_ids": [          "9e2ab57e-d494-4d61-be18-93bcec83fb11"        ],        "share_pct": 0,        "topic": "string",        "trend": "UP"      }    ]  },  "meta": {},  "success": true}